Share via


Restorable Dropped Databases - Get

Gets a restorable dropped database.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/restorableDroppedDatabases/{restorableDroppedDatabaseId}?api-version=2025-01-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/restorableDroppedDatabases/{restorableDroppedDatabaseId}?api-version=2025-01-01&$expand={$expand}&$filter={$filter}

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

restorableDroppedDatabaseId
path True

string

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

$expand
query

string

The child resources to include in the response.

$filter
query

string

An OData filter expression that filters elements in the collection.

Responses

Name Type Description
200 OK

RestorableDroppedDatabase

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Gets a restorable dropped database with expand equals keys.
Gets a restorable dropped database.

Gets a restorable dropped database with expand equals keys.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/restorableDroppedDatabases/testdb,131403269876900000?api-version=2025-01-01&$expand=keys

Sample response

{
  "name": "testdb,131403269876900000",
  "type": "Microsoft.Sql/servers/restorableDroppedDatabases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/restorableDroppedDatabases/testdb",
  "location": "southeastasia",
  "properties": {
    "backupStorageRedundancy": "Geo",
    "creationDate": "2017-05-07T04:41:33.937Z",
    "databaseName": "testdb",
    "deletionDate": "2017-05-27T02:49:47.69Z",
    "keys": {
      "https://your-key-vault-name.vault.azure.net/yourKey/yourKeyVersion": {},
      "https://your-key-vault-name.vault.azure.net/yourKey2/yourKey2Version": {}
    },
    "maxSizeBytes": 268435456000
  },
  "sku": {
    "name": "BC_Gen4_2",
    "tier": "BusinessCritical"
  }
}

Gets a restorable dropped database.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/restorableDroppedDatabases/testdb,131403269876900000?api-version=2025-01-01

Sample response

{
  "name": "testdb,131403269876900000",
  "type": "Microsoft.Sql/servers/restorableDroppedDatabases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/restorableDroppedDatabases/testdb",
  "location": "southeastasia",
  "properties": {
    "backupStorageRedundancy": "Geo",
    "creationDate": "2017-05-07T04:41:33.937Z",
    "databaseName": "testdb",
    "deletionDate": "2017-05-27T02:49:47.69Z",
    "maxSizeBytes": 268435456000
  },
  "sku": {
    "name": "BC_Gen4_2",
    "tier": "BusinessCritical"
  }
}

Definitions

Name Description
BackupStorageRedundancy

The storage account type used to store backups for this database.

createdByType

The type of identity that created the resource.

DatabaseKey

Database level key used for encryption at rest.

DatabaseKeyType

The database key type. Only supported value is 'AzureKeyVault'.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

RestorableDroppedDatabase

A restorable dropped database resource.

Sku

An ARM Resource SKU.

systemData

Metadata pertaining to creation and last modification of the resource.

BackupStorageRedundancy

The storage account type used to store backups for this database.

Value Description
Geo

Geo

Local

Local

Zone

Zone

GeoZone

GeoZone

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DatabaseKey

Database level key used for encryption at rest.

Name Type Description
creationDate

string (date-time)

The database key creation date.

keyVersion

string

The database key's version.

subregion

string

Subregion of the server key.

thumbprint

string

Thumbprint of the database key.

type

DatabaseKeyType

The database key type. Only supported value is 'AzureKeyVault'.

DatabaseKeyType

The database key type. Only supported value is 'AzureKeyVault'.

Value Description
AzureKeyVault

AzureKeyVault

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

RestorableDroppedDatabase

A restorable dropped database resource.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

Resource location.

name

string

The name of the resource

properties.backupStorageRedundancy

BackupStorageRedundancy

The storage account type used to store backups for this database.

properties.creationDate

string (date-time)

The creation date of the database (ISO8601 format).

properties.databaseName

string

The name of the database.

properties.deletionDate

string (date-time)

The deletion date of the database (ISO8601 format).

properties.earliestRestoreDate

string (date-time)

The earliest restore date of the database (ISO8601 format).

properties.keys

<string,  DatabaseKey>

The resource ids of the user assigned identities to use

properties.maxSizeBytes

integer (int64)

The max size of the database expressed in bytes.

sku

Sku

The name and tier of the SKU.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

Sku

An ARM Resource SKU.

Name Type Description
capacity

integer (int32)

Capacity of the particular SKU.

family

string

If the service has different generations of hardware, for the same SKU, then that can be captured here.

name

string

The name of the SKU, typically, a letter + Number code, e.g. P3.

size

string

Size of the particular SKU

tier

string

The tier or edition of the particular SKU, e.g. Basic, Premium.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.